glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
Glib::SignalProxyProperty Class Reference

Use the connect() method, with sigc::ptr_fun() or sig::mem_fun() to connect signals to signal handlers. More...

`#include <glibmm/propertyproxy_base.h>`

Inheritance diagram for Glib::SignalProxyProperty:
[legend]

## Public Types

typedef sigc::slot< void > | SlotType

## Public Member Functions

| SignalProxyProperty (Glib::ObjectBase* obj, const gchar* property_name)
| ~SignalProxyProperty ()
sigc::connection | connect (const SlotType& sl)
Public Member Functions inherited from Glib::SignalProxyBase
| SignalProxyBase (Glib::ObjectBase* obj)

## Protected Attributes

const char* | property_name_
Protected Attributes inherited from Glib::SignalProxyBase
ObjectBase* | obj_

## Detailed Description

Use the connect() method, with sigc::ptr_fun() or sig::mem_fun() to connect signals to signal handlers.

## Member Typedef Documentation

typedef sigc::slot<void> Glib::SignalProxyProperty::SlotType

## Constructor & Destructor Documentation

Glib::SignalProxyProperty::SignalProxyProperty | ( | Glib::ObjectBase* | obj,
|  | const gchar * | property_name
| ) |  |

Glib::SignalProxyProperty::~SignalProxyProperty | ( |  | ) |

## Member Function Documentation

sigc::connection Glib::SignalProxyProperty::connect | ( | const SlotType& | sl | ) |

## Member Data Documentation

const char* Glib::SignalProxyProperty::property_name_

protected